%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-tox
Version:       4.23.0
Release:       1mamba
Summary:       A generic virtualenv management and test command line tool
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://tox.wiki/en/4.11.4/
Source:        https://pypi.debian.net/tox/tox-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(cachetools)
BuildRequires: python3.11dist(chardet)
BuildRequires: python3.11dist(colorama)
BuildRequires: python3.11dist(filelock)
BuildRequires: python3.11dist(packaging)
BuildRequires: python3.11dist(platformdirs)
BuildRequires: python3.11dist(pluggy)
BuildRequires: python3.11dist(pyproject-api)
BuildRequires: python3.11dist(virtualenv)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n tox-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

%if "%{?with_pyver}" != "3"
# Rename any conflicting file outside of python site packages tree
for f in %{_bindir}/tox; do
   mv %{buildroot}${f}{,-%{?pyappend}}
done
%endif

%files %{?pyappend}
%defattr(-,root,root)
%{_bindir}/tox*
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Thu Oct 17 2024 Automatic Build System <autodist@openmamba.org> 4.23.0-1mamba
- automatic version update by autodist

* Thu Oct 17 2024 Automatic Build System <autodist@openmamba.org> 4.22.0-1mamba
- automatic version update by autodist

* Fri Oct 04 2024 Automatic Build System <autodist@openmamba.org> 4.21.2-1mamba
- automatic version update by autodist

* Thu Oct 03 2024 Automatic Build System <autodist@openmamba.org> 4.21.1-1mamba
- automatic version update by autodist

* Wed Oct 02 2024 Automatic Build System <autodist@openmamba.org> 4.21.0-1mamba
- automatic version update by autodist

* Thu Sep 19 2024 Automatic Build System <autodist@openmamba.org> 4.20.0-1mamba
- automatic version update by autodist

* Wed Sep 18 2024 Automatic Build System <autodist@openmamba.org> 4.19.0-1mamba
- automatic version update by autodist

* Sun Sep 08 2024 Automatic Build System <autodist@openmamba.org> 4.18.1-1mamba
- automatic version update by autodist

* Wed Aug 14 2024 Automatic Build System <autodist@openmamba.org> 4.18.0-1mamba
- automatic version update by autodist

* Thu Aug 08 2024 Automatic Build System <autodist@openmamba.org> 4.17.1-1mamba
- automatic version update by autodist

* Tue Aug 06 2024 Automatic Build System <autodist@openmamba.org> 4.17.0-1mamba
- automatic version update by autodist

* Wed Jul 03 2024 Automatic Build System <autodist@openmamba.org> 4.16.0-1mamba
- automatic version update by autodist

* Thu Jun 06 2024 Automatic Build System <autodist@openmamba.org> 4.15.1-1mamba
- automatic version update by autodist

* Sat Apr 27 2024 Automatic Build System <autodist@openmamba.org> 4.15.0-1mamba
- automatic version update by autodist

* Sat Mar 23 2024 Automatic Build System <autodist@openmamba.org> 4.14.2-1mamba
- automatic version update by autodist

* Thu Mar 07 2024 Automatic Build System <autodist@openmamba.org> 4.14.1-1mamba
- automatic version update by autodist

* Wed Mar 06 2024 Automatic Build System <autodist@openmamba.org> 4.14.0-1mamba
- automatic version update by autodist

* Sat Feb 17 2024 Automatic Build System <autodist@openmamba.org> 4.13.0-1mamba
- automatic version update by autodist

* Wed Jan 17 2024 Automatic Build System <autodist@openmamba.org> 4.12.1-1mamba
- automatic version update by autodist

* Fri Jan 12 2024 Automatic Build System <autodist@openmamba.org> 4.12.0-1mamba
- automatic version update by autodist

* Tue Nov 28 2023 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 08 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.11.3-1mamba
- package created using the webbuild interface
